$x = "копируем сюда из x.txt, без кавычек"
$y = "копируем сюда из y.txt, без кавычек"
$l = get-location
New-Item map -ItemType "directory"

for ($i = 0; $i -le ($x.length - 1); $i++) {

$xfn = $x[$i];
$yfn = $y[$i];
$z = "пишем сюда уровень без кавычек";
$TS = 256;
$TIR = 2 * [Math]::Pi * 6378137 / $TS;
$TOS = 2 * [Math]::Pi * 6378137 / 2;
$res = $TIR / [Math]::Pow(2, $z);
$mx_l_u = ($x[$i] * $TS) * $res - $TOS;
$my_l_u = (([Math]::Pow(2, $z) - $y[$i]) * $TS) * $res - $TOS;
$lon_l_u = ($mx_l_u / $TOS) * 180;
$lat_l_u = 180 / [Math]::Pi * (2 * [Math]::atan([Math]::exp((($my_l_u / $TOS) * 180) * [Math]::Pi / 180)) - [Math]::Pi / 2);
$mx_r_u = (($x[$i] + 1) * $TS) * $res - $TOS;
$lon_r_u = ($mx_r_u / $TOS) * 180;
$lat_r_u = $lat_l_u;
$my_r_d = $my_l_u = (([Math]::Pow(2, $z) - ($y[$i] + 1)) * $TS) * $res - $TOS;
$lon_r_d = $lon_r_u;
$lat_r_d = 180 / [Math]::Pi * (2 * [Math]::atan([Math]::exp((($my_r_d / $TOS) * 180) * [Math]::Pi / 180)) - [Math]::Pi / 2);
$lon_l_d = $lon_l_u;
$lat_l_d = $lat_r_d;
$lon_min_l_u = ($lon_l_d - [math]::floor($lon_l_d)) * 60;
$lat_min_l_u = ($lat_l_u - [math]::floor($lat_l_u)) * 60;
$lon_min_r_d = ($lon_r_d - [math]::floor($lon_r_d)) * 60;
$lat_min_r_d = ($lat_r_d - [math]::floor($lat_r_d)) * 60;
$lon_gr_l_u = [math]::floor($lon_l_d);
$lat_gr_l_u = [math]::floor($lat_l_u);
$lon_gr_r_d = [math]::floor($lon_r_d);
$lat_gr_r_d = [math]::floor($lat_r_d);
$lon_128 = ($lon_l_u + $lon_r_u) / 2;
$lat_128 = ($lat_l_u + $lat_l_d) / 2;
$lon_128_min = ($lon_128 - [math]::floor($lon_128)) * 60;
$lat_128_min = ($lat_128 - [math]::floor($lat_128)) * 60;
$lon_128_gr = [math]::floor($lon_128);
$lat_128_gr = [math]::floor($lat_128);

"OziExplorer Map Data File Version 2.2" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Created by SAS.Planet" | out-file -append map\x$xfn.y$yfn.jpg.map;
"$l\своё число\x$xfn\и тут тоже\y$yfn.jpg" | out-file -append map\x$xfn.y$yfn.jpg.map;
"1 ,Map Code," | out-file -append map\x$xfn.y$yfn.jpg.map;
"WGS 84,,   0.0000,   0.0000,WGS 84" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Reserved 1" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Reserved 2" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Magnetic Variation,,,E" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Map Projection,Mercator,PolyCal,No,AutoCalOnly,No,BSBUseWPX,No" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point01,xy,    0, 0,in, deg, $lat_gr_l_u, $lat_min_l_u,N, $lon_gr_l_u, $lon_min_l_u,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point02,xy,    256, 256,in, deg, $lat_gr_r_d, $lat_min_r_d,N, $lon_gr_r_d, $lon_min_r_d,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point03,xy,    0, 256,in, deg, $lat_gr_r_d, $lat_min_r_d,N, $lon_gr_l_u, $lon_min_l_u,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point04,xy,    256, 0,in, deg, $lat_gr_l_u, $lat_min_l_u,N, $lon_gr_r_d, $lon_min_r_d,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point05,xy,    128, 128,in, deg, $lat_128_gr, $lat_128_min,N, $lon_128_gr, $lon_128_min,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point06,xy,    128, 0,in, deg, $lat_gr_l_u, $lat_min_l_u,N, $lon_128_gr, $lon_128_min,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point07,xy,    0, 128,in, deg, $lat_128_gr, $lat_128_min,N, $lon_gr_l_u, $lon_min_l_u,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point08,xy,    256, 128,in, deg, $lat_128_gr, $lat_128_min,N, $lon_gr_r_d, $lon_min_r_d,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point09,xy,    128, 256,in, deg, $lat_gr_r_d, $lat_min_r_d,N, $lon_128_gr, $lon_128_min,E, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point10,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point11,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point12,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point13,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point14,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point15,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point16,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point17,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point18,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point19,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point20,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point21,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point22,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point23,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point24,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point25,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point26,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point27,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point28,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point29,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Point30,xy,     ,     ,in, deg,    ,        ,N,    ,        ,W, grid,   ,           ,           ,N" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Projection Setup,,,,,,,,,," | out-file -append map\x$xfn.y$yfn.jpg.map;
"Map Feature = MF ; Map Comment = MC     These follow if they exist" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Track File = TF      These follow if they exist" | out-file -append map\x$xfn.y$yfn.jpg.map;
"Moving Map Parameters = MM?    These follow if they exist" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MM0,Yes" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPNUM,4" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPXY,1,0,0" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPXY,2,256,0" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPXY,3,256,256" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPXY,4,0,256" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPLL,1, $lon_l_u, $lat_l_u" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPLL,2, $lon_r_u, $lat_r_u" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPLL,3, $lon_r_d, $lat_r_d" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MMPLL,4, $lon_l_d, $lat_l_d" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MM1B,$res" | out-file -append map\x$xfn.y$yfn.jpg.map;
"MOP,Map Open Position,0,0" | out-file -append map\x$xfn.y$yfn.jpg.map;
"IWH,Map Image Width/Height,256,256" | out-file -append map\x$xfn.y$yfn.jpg.map }